package benchmark.geomesa.accumulo.insert;

import java.util.HashMap;
import java.util.Map;

import benchmark.geomesa.insert.GeomesaInsert;

public class GeomesaAccumuloInsert extends GeomesaInsert {
	
    static final String INSTANCE_ID = "instanceId";
    static final String ZOOKEEPERS = "zookeepers";
    static final String USER = "user";
    static final String PASSWORD = "password";
    static final String AUTHS = "auths";
    static final String TABLE_NAME = "tableName";
    
 // sub-set of parameters that are used to create the Accumulo DataStore
    static final String[] ACCUMULO_CONNECTION_PARAMS = new String[] {
        INSTANCE_ID,
        ZOOKEEPERS,
        USER,
        PASSWORD,
        AUTHS,
        TABLE_NAME
    };
    
    static final String[] ACCUMULO_CONNECTION_PARAMS_VALUES = new String[]{
    	"Benchmark",
    	"localhost:2181",
    	"root",
    	"password",
    	"",
    	"benchmark.points"
    };
    
    
    public GeomesaAccumuloInsert() throws Exception {
		super();
	}
	@Override
	public Map<String, String> getDatastoreConf() {
		Map<String, String> dsConf = new HashMap<String, String>();
		
		for (int i = 0; i < ACCUMULO_CONNECTION_PARAMS.length; i++){
			dsConf.put(ACCUMULO_CONNECTION_PARAMS[i], ACCUMULO_CONNECTION_PARAMS_VALUES[i]);
		}
		
		return dsConf;
	}
	@Override
	public String getName() {
		return "Geomesa(Accumulo)";
	}

}
